zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvmort2.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
gxvmort2.c File Reference
`#include "gxvmort.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvmort
#define | GXV_MORT_SUBTABLE_TYPE2_HEADER_SIZE ( GXV_STATETABLE_HEADER_SIZE + 2 + 2 + 2 )

## Typedefs

typedef struct GXV_mort_subtable_type2_StateOptRec_ | GXV_mort_subtable_type2_StateOptRec
typedef struct GXV_mort_subtable_type2_StateOptRec_ * | GXV_mort_subtable_type2_StateOptRecData

## Functions

static void | gxv_mort_subtable_type2_entry_validate (FT_Byte state, FT_UShort flags, GXV_StateTable_GlyphOffsetCPtr glyphOffset_p, FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_mort_subtable_type2_ligActionOffset_validate (FT_Bytes table, FT_UShort ligActionOffset, GXV_Validator valid)
static void | gxv_mort_subtable_type2_ligatureTable_validate (FT_Bytes table, GXV_Validator valid)
static void | gxv_mort_subtable_type2_opttable_load (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_mort_subtable_type2_subtable_setup (FT_UShort table_size, FT_UShort classTable, FT_UShort stateArray, FT_UShort entryTable, FT_UShort *classTable_length_p, FT_UShort *stateArray_length_p, FT_UShort *entryTable_length_p, GXV_Validator valid)
| gxv_mort_subtable_type2_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvmort

Definition at line 38 of file gxvmort2.c.

#define GXV_MORT_SUBTABLE_TYPE2_HEADER_SIZE ( GXV_STATETABLE_HEADER_SIZE + 2 + 2 + 2 )

Definition at line 53 of file gxvmort2.c.

Referenced by gxv_mort_subtable_type2_validate().

## Typedef Documentation

typedef struct GXV_mort_subtable_type2_StateOptRec_ GXV_mort_subtable_type2_StateOptRec

typedef struct GXV_mort_subtable_type2_StateOptRec_ * GXV_mort_subtable_type2_StateOptRecData

## Function Documentation

static void gxv_mort_subtable_type2_entry_validate | ( | FT_Byte | state,
|  | FT_UShort | flags,
|  | GXV_StateTable_GlyphOffsetCPtr | glyphOffset_p,
|  | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 211 of file gxvmort2.c.

References FT_UNUSED, and gxv_mort_subtable_type2_ligActionOffset_validate().

Referenced by gxv_mort_subtable_type2_validate().

static void gxv_mort_subtable_type2_ligActionOffset_validate | ( | FT_Bytes | table,
|  | FT_UShort | ligActionOffset,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 137 of file gxvmort2.c.

References FT_INVALID_OFFSET, FT_NEXT_ULONG, GXV_32BIT_ALIGNMENT_VALIDATE, GXV_SET_ERR_IF_PARANOID, GXV_TRACE, GXV_StateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::statetable.

Referenced by gxv_mort_subtable_type2_entry_validate().

static void gxv_mort_subtable_type2_ligatureTable_validate | ( | FT_Bytes | table,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 244 of file gxvmort2.c.

References GXV_ValidatorRec_::face, FT_INVALID_GLYPH_ID, FT_NEXT_USHORT, GXV_EXIT, GXV_LIMIT_CHECK, GXV_NAME_ENTER, GXV_SET_ERR_IF_PARANOID, FT_FaceRec_::num_glyphs, GXV_StateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::statetable.

Referenced by gxv_mort_subtable_type2_validate().

static void gxv_mort_subtable_type2_opttable_load | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 58 of file gxvmort2.c.

References FT_NEXT_USHORT, GXV_LIMIT_CHECK, GXV_TRACE, GXV_StateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::statetable.

Referenced by gxv_mort_subtable_type2_validate().

static void gxv_mort_subtable_type2_subtable_setup | ( | FT_UShort | table_size,
|  | FT_UShort | classTable,
|  | FT_UShort | stateArray,
|  | FT_UShort | entryTable,
|  | FT_UShort * | classTable_length_p,
|  | FT_UShort * | stateArray_length_p,
|  | FT_UShort * | entryTable_length_p,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 82 of file gxvmort2.c.

References GXV_EXIT, GXV_NAME_ENTER, gxv_set_length_by_ushort_offset(), GXV_TRACE, GXV_StateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::statetable.

Referenced by gxv_mort_subtable_type2_validate().

gxv_mort_subtable_type2_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 276 of file gxvmort2.c.

References GXV_EXIT, GXV_GLYPHOFFSET_NONE, GXV_LIMIT_CHECK, gxv_mort_subtable_type2_entry_validate(), GXV_MORT_SUBTABLE_TYPE2_HEADER_SIZE, gxv_mort_subtable_type2_ligatureTable_validate(), gxv_mort_subtable_type2_opttable_load(), gxv_mort_subtable_type2_subtable_setup(), GXV_NAME_ENTER, and gxv_StateTable_validate().

Referenced by gxv_mort_subtables_validate().